### Signal

# Gio DBusObjectManagerClient::interface-proxy-properties-changed

since: 2.30

#### Declaration

    void
    interface_proxy_properties_changed (
      GDBusObjectManagerClient* self,
      GDBusObjectProxy* object_proxy,
      GDBusProxy* interface_proxy,
      GVariant* changed_properties,
      char** invalidated_properties,
      gpointer user_data
    )

#### Description

Emitted when one or more D-Bus properties on proxy changes. The local cache has already been updated when this signal fires. Note that both `changed_properties` and `invalidated_properties` are guaranteed to never be `NULL` (either may be empty though).

This signal exists purely as a convenience to avoid having to connect signals to all interface proxies managed by `manager`.

This signal is emitted in the [thread-default main context][g-main-context-push-thread-default] that `manager` was constructed in.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.30

#### Parameters

`object_proxy`

  Type: `GDBusObjectProxy`

  The `GDBusObjectProxy` on which an interface has properties that are changing.

  The data is owned by the caller of the function.

`interface_proxy`

  Type: `GDBusProxy`

  The `GDBusProxy` that has properties that are changing.

  The data is owned by the caller of the function.

`changed_properties`

  Type: `GVariant`

  A `GVariant` containing the properties that changed (type: `a{sv}`).

  The data is owned by the caller of the function.

`invalidated_properties`

  Type: An array of `utf8`

  A `NULL` terminated array of properties that were invalidated.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.